<?php

namespace Litematrimony\Preference\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PreferenceTransformer extends TransformerAbstract
{
    public function transform(\Litematrimony\Preference\Models\Preference $preference)
    {
        return [
            'id'                => $preference->getRouteKey(),
            'key'               => [
                'public'    => $preference->getPublicKey(),
                'route'     => $preference->getRouteKey(),
            ], 
            'id'                => $preference->id,
            'profile_id'        => $preference->profile_id,
            'marital_status'    => $preference->marital_status,
            'min_age'           => $preference->min_age,
            'max_age'           => $preference->max_age,
            'country_id'        => $preference->country_id,
            'state_id'          => $preference->state_id,
            'city_id'           => $preference->city_id,
            'mothertongue'      => $preference->mothertongue,
            'religion'          => $preference->religion,
            'caste'             => $preference->caste,
            'subcaste'          => $preference->subcaste,
            'min_height'        => $preference->min_height,
            'max_height'        => $preference->max_height,
            'physical_status'   => $preference->physical_status,
            'education'         => $preference->education,
            'employment_type'   => $preference->employment_type,
            'occupation'        => $preference->occupation,
            'star'              => $preference->star,
            'raasi'             => $preference->raasi,
            'dosham'            => $preference->dosham,
            'food_habits'       => $preference->food_habits,
            'smoking'           => $preference->smoking,
            'drinking'          => $preference->drinking,
            'created_at'        => $preference->created_at,
            'updated_at'        => $preference->updated_at,
            'deleted_at'        => $preference->deleted_at,
            'url'               => [
                'public'    => trans_url('preference/'.$preference->getPublicKey()),
                'user'      => guard_url('preference/preference/'.$preference->getRouteKey()),
            ], 
            'status'            => trans('app.'.$preference->status),
            'created_at'        => format_date($preference->created_at),
            'updated_at'        => format_date($preference->updated_at),
        ];
    }
}